| Home | Libraries | People | FAQ | More

##### ssl::basic_context::set_options (1 of 2 overloads)

Set options on the context.

    void set_options(
        options o);

This function may be used to configure the SSL options used by the context.

###### Parameters

o

  A bitmask of options. The available option values are defined in the context_base class. The options are bitwise-ored with any existing value for the options.

###### Exceptions

boost::system::system_error

  Thrown on failure.